Bug 856887 - scala doesn't start in f18 development
scala doesn't start in f18 development
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: scala (Show other bugs)
18
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Geoff Reedy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 00:21 EDT by sangu
Modified: 2014-02-05 07:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:10:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2012-09-13 00:21:56 EDT
Description of problem:
$ scala
/usr/bin/scala: error: JVM_LIBDIR /usr/lib/jvm-exports/java-1.6.0 does not exist or is not a directory


Version-Release number of selected component (if applicable):
2.9.1-3.fc17.noarch

How reproducible:
always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:
java-1.7.0-openjdk-1.7.0.6-2.3.1.fc18.2.x86_64
Comment 1 Jochen Schmitt 2012-09-13 03:15:41 EDT
Yes, the main issue is that you can't build scala agains jdk-1.7. This issue raise due the introduction of geenerics containers in the swing library of jdk-1.7.

In the past scala was explicit build agains jdk-1.6 as a workaround. This workaround doensn't works after the remove of jdk-1.6 from Fedora.
Comment 2 Jens Petersen 2013-06-13 21:20:26 EDT
When does upstream plan to support 1.7?
Comment 3 Jens Petersen 2013-06-13 21:22:08 EDT
Ah right swing, hmm

init.warn.jdk7:
     [echo]  You are using JDK7 for this build.  While this will be able to build most of Scala, it will
     [echo]        not build the Swing project.   You will be unable to create a distribution.

Is it possible/useful to build without swing then?
Comment 4 Fedora End Of Life 2013-12-21 03:52:13 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 07:10:52 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.